gr::fosphor::base_sink_c Class Referenceabstract
Fosphor

Base fosphor sink API interface. More...

`#include <base_sink_c.h>`

Inheritance diagram for gr::fosphor::base_sink_c:
[legend]

## Public Types

enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }
enum | mouse_action_t { CLICK }

## Public Member Functions

virtual void | execute_ui_action (enum ui_action_t action)=0
virtual void | execute_mouse_action (enum mouse_action_t action, int x, int y)=0
virtual void | set_frequency_range (const double center, const double span)=0
virtual void | set_frequency_center (const double center)=0
virtual void | set_frequency_span (const double span)=0
virtual void | set_fft_window (const gr::fft::window::win_type win)=0

## Protected Member Functions

| base_sink_c (const char *name=NULL)

## Detailed Description

Base fosphor sink API interface.

## Member Enumeration Documentation

## mouse_action_t

enum gr::fosphor::base_sink_c::mouse_action_t

Enumerator
CLICK |

## ui_action_t

enum gr::fosphor::base_sink_c::ui_action_t

Enumerator
DB_PER_DIV_UP |
DB_PER_DIV_DOWN |
REF_UP |
REF_DOWN |
ZOOM_TOGGLE |
ZOOM_WIDTH_UP |
ZOOM_WIDTH_DOWN |
ZOOM_CENTER_UP |
ZOOM_CENTER_DOWN |
RATIO_UP |
RATIO_DOWN |
FREEZE_TOGGLE |

## Constructor & Destructor Documentation

## base_sink_c()

gr::fosphor::base_sink_c::base_sink_c | ( | const char * | name = NULL | ) |

protected

## Member Function Documentation

## execute_mouse_action()

virtual void gr::fosphor::base_sink_c::execute_mouse_action | ( | enum mouse_action_t | action,
|  | int | x,
|  | int | y )

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

## execute_ui_action()

virtual void gr::fosphor::base_sink_c::execute_ui_action | ( | enum ui_action_t | action | ) |

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

## set_fft_window()

virtual void gr::fosphor::base_sink_c::set_fft_window | ( | const gr::fft::window::win_type | win | ) |

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

## set_frequency_center()

virtual void gr::fosphor::base_sink_c::set_frequency_center | ( | const double | center | ) |

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

## set_frequency_range()

virtual void gr::fosphor::base_sink_c::set_frequency_range | ( | const double | center,
|  | const double | span )

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

## set_frequency_span()

virtual void gr::fosphor::base_sink_c::set_frequency_span | ( | const double | span | ) |

pure virtual

Implemented in gr::fosphor::base_sink_c_impl.

The documentation for this class was generated from the following file:

- base_sink_c.h